<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{BD5F6AA1-B451-4D2B-BCD3-E69A2D1699EF}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>HighWayAssemble</RootNamespace>
    <AssemblyName>HighWayAssemble</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>cloud_computing_128px_1222169_easyicon.net.ico</ApplicationIcon>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="CatLib.Core">
      <HintPath>dll\CatLib.Core.dll</HintPath>
    </Reference>
    <Reference Include="DeviceAdapter, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\DeviceAdapter\bin\Debug\DeviceAdapter.dll</HintPath>
    </Reference>
    <Reference Include="Highway.AsyncSocketSvr, Version=1.0.0.7, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\dll\Highway.AsyncSocketSvr.dll</HintPath>
    </Reference>
    <Reference Include="iBoxDB.NET2">
      <HintPath>dll\iBoxDB.NET2.dll</HintPath>
    </Reference>
    <Reference Include="ICSharpCode.Core">
      <HintPath>dll\ICSharpCode.Core.dll</HintPath>
    </Reference>
    <Reference Include="log4net, Version=1.2.10.0, Culture=neutral, PublicKeyToken=1b44e1d426115821, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>dll\log4net.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Bcl.AsyncInterfaces, Version=8.0.0.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.Bcl.AsyncInterfaces.8.0.0\lib\netstandard2.0\Microsoft.Bcl.AsyncInterfaces.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=13.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.13.0.3\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="OPCControls">
      <HintPath>..\dll\OPCControls.dll</HintPath>
    </Reference>
    <Reference Include="RRQMCore, Version=2.4.0.0, Culture=neutral, PublicKeyToken=1691c0176f5d64c0, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\dll\RRQMCore.dll</HintPath>
    </Reference>
    <Reference Include="RRQMMVVM">
      <HintPath>..\dll\RRQMMVVM.dll</HintPath>
    </Reference>
    <Reference Include="RRQMSocket, Version=5.6.0.0, Culture=neutral, PublicKeyToken=a9db37c9b0783a15, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\dll\RRQMSocket.dll</HintPath>
    </Reference>
    <Reference Include="SqlSugar">
      <HintPath>..\Highway.Assemble.SqlSugar\bin\Debug\SqlSugar.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Buffers, Version=4.0.3.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Buffers.4.5.1\lib\netstandard1.1\System.Buffers.dll</HintPath>
    </Reference>
    <Reference Include="System.configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Memory, Version=4.0.1.2, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Memory.4.5.5\lib\netstandard1.1\System.Memory.dll</HintPath>
    </Reference>
    <Reference Include="System.Numerics" />
    <Reference Include="System.Numerics.Vectors, Version=4.1.4.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Numerics.Vectors.4.5.0\lib\net46\System.Numerics.Vectors.dll</HintPath>
    </Reference>
    <Reference Include="System.Runtime.CompilerServices.Unsafe, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Runtime.CompilerServices.Unsafe.6.0.0\lib\net461\System.Runtime.CompilerServices.Unsafe.dll</HintPath>
    </Reference>
    <Reference Include="System.Text.Encodings.Web, Version=8.0.0.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Text.Encodings.Web.8.0.0\lib\netstandard2.0\System.Text.Encodings.Web.dll</HintPath>
    </Reference>
    <Reference Include="System.Text.Json, Version=8.0.0.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Text.Json.8.0.5\lib\netstandard2.0\System.Text.Json.dll</HintPath>
    </Reference>
    <Reference Include="System.Threading.Tasks.Extensions, Version=4.2.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Threading.Tasks.Extensions.4.5.4\lib\portable-net45+win8+wp8+wpa81\System.Threading.Tasks.Extensions.dll</HintPath>
    </Reference>
    <Reference Include="System.ValueTuple, Version=4.0.3.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.ValueTuple.4.5.0\lib\netstandard1.0\System.ValueTuple.dll</HintPath>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="TouchSocket, Version=3.1.0.0, Culture=neutral, PublicKeyToken=5f39d7da98dac6a9, processorArchitecture=MSIL">
      <HintPath>..\packages\TouchSocket.3.1.0\lib\net45\TouchSocket.dll</HintPath>
    </Reference>
    <Reference Include="TouchSocket.Core, Version=3.1.0.0, Culture=neutral, PublicKeyToken=d6c415a2f58eda72, processorArchitecture=MSIL">
      <HintPath>..\packages\TouchSocket.Core.3.1.0\lib\net45\TouchSocket.Core.dll</HintPath>
    </Reference>
    <Reference Include="TouchSocket.Http, Version=3.1.0.0, Culture=neutral, PublicKeyToken=ecea290704fb8ddd, processorArchitecture=MSIL">
      <HintPath>..\packages\TouchSocket.Http.3.1.0\lib\net45\TouchSocket.Http.dll</HintPath>
    </Reference>
    <Reference Include="TouchSocket.Rpc, Version=3.1.0.0, Culture=neutral, PublicKeyToken=15eb0d7aa187fa38, processorArchitecture=MSIL">
      <HintPath>..\packages\TouchSocket.Rpc.3.1.0\lib\net45\TouchSocket.Rpc.dll</HintPath>
    </Reference>
    <Reference Include="TouchSocket.WebApi, Version=3.1.0.0, Culture=neutral, PublicKeyToken=004e630594e1cb25, processorArchitecture=MSIL">
      <HintPath>..\packages\TouchSocket.WebApi.3.1.0\lib\net45\TouchSocket.WebApi.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="DoubleBufferListView.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Main\EventSystem.cs" />
    <Compile Include="Main\FrmDisplayControl.cs" />
    <Compile Include="FrmDisplayView.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FrmDisplayView.Designer.cs">
      <DependentUpon>FrmDisplayView.cs</DependentUpon>
    </Compile>
    <Compile Include="Main\Main.cs" />
    <Compile Include="Main\FrmDisplayModel.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Protocol\ApiServer.cs" />
    <Compile Include="Protocol\MesHttpClient.cs" />
    <Compile Include="Protocol\MsgUtil.cs" />
    <Compile Include="SetCollectIDView.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SetCollectIDView.Designer.cs">
      <DependentUpon>SetCollectIDView.cs</DependentUpon>
    </Compile>
    <EmbeddedResource Include="FrmDisplayView.resx">
      <DependentUpon>FrmDisplayView.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="SetCollectIDView.resx">
      <DependentUpon>SetCollectIDView.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config">
      <SubType>Designer</SubType>
    </None>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Highway.Assemble.Common\Highway.Assemble.Common.csproj">
      <Project>{514b888f-4d0d-4406-9396-5235a7bed7bf}</Project>
      <Name>Highway.Assemble.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\Highway.Assemble.EquipClient\Highway.Assemble.EquipClient.csproj">
      <Project>{086d99a4-a65a-4d6e-b4b3-e3dc7803a41e}</Project>
      <Name>Highway.Assemble.EquipClient</Name>
    </ProjectReference>
    <ProjectReference Include="..\Highway.Assemble.SqlSugar\Highway.Assemble.SqlSugar.csproj">
      <Project>{59c06619-bed8-45d8-85cf-ed55d6516c65}</Project>
      <Name>Highway.Assemble.SqlSugar</Name>
    </ProjectReference>
    <ProjectReference Include="..\Highway.Assemble.Sql\Highway.Assemble.Sql.csproj">
      <Project>{dd1b1367-a561-482b-8f19-b06611a4f668}</Project>
      <Name>Highway.Assemble.Sql</Name>
    </ProjectReference>
    <ProjectReference Include="..\Mesnac.DeviceAdapter.Fuchs\Mesnac.DeviceAdapter.Fuchs.csproj">
      <Project>{86e4f08e-6155-4130-a6c7-c13cfb30ffdc}</Project>
      <Name>Mesnac.DeviceAdapter.Fuchs</Name>
    </ProjectReference>
    <ProjectReference Include="..\Mesnac.DeviceAdapter.HWKC_81600\Mesnac.DeviceAdapter.HWKC_81600.csproj">
      <Project>{a19a79d7-d43b-4284-9892-ca27b37ac32c}</Project>
      <Name>Mesnac.DeviceAdapter.HWKC_81600</Name>
    </ProjectReference>
    <ProjectReference Include="..\Mesnac.DeviceAdapter.RFly_I160\Mesnac.DeviceAdapter.RFly_I160.csproj">
      <Project>{786b9d51-d67a-4235-b082-78e9cf4fcfb6}</Project>
      <Name>Mesnac.DeviceAdapter.RFly_I160</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Content Include="cloud_computing_128px_1222169_easyicon.net.ico" />
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Service References\" />
  </ItemGroup>
  <ItemGroup>
    <Analyzer Include="..\packages\TouchSocket.Core.3.1.0\analyzers\dotnet\cs\TouchSocket.Core.SourceGenerator.dll" />
    <Analyzer Include="..\packages\TouchSocket.Rpc.3.1.0\analyzers\dotnet\cs\TouchSocket.Rpc.SourceGenerator.dll" />
    <Analyzer Include="..\packages\TouchSocket.WebApi.3.1.0\analyzers\dotnet\cs\TouchSocket.WebApi.SourceGenerator.dll" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>